Subject: [eman] uuid / entity mib update

From: Juergen Schoenwaelder <[email-masked]>
Date: Wed, 26 Sep 2012 14:21:30 +0200

Hi,

draft-ietf-eman-rfc4133bis-00.txt defines entPhysicalUUID:

entPhysicalUUID OBJECT-TYPE
    SYNTAX      OCTET STRING (SIZE (16))
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
            "This object contains additional identification information
            about the physical entity.  The object contains a Universal
            Unique Identifier, the syntax of this object must conform to
            RFC 4122, section 4.1.

            If no additional identification information is known
            about the physical entity or supported, the object is not
            instantiated.  A zero length octet string may also be
            returned in this case."
    REFERENCE
            "RFC 4122, A Universally Unique IDentifier (UUID) URN
            Namespace, section 4.1, July 2005."
    ::= { entPhysicalEntry 19 }

I think there really should be a textual convention of a UUID with an
appropriate DISPLAY-HINT, e.g. 4x-2x-2x-1x1x-6x. Now, since such a TC
is more widely applicable, the right thing might be to create a
separate MIB module, e.g. UUID-TC-MIB, similar to the URI-TC-MIB.
This can go initially into the RFC 4133 update or be a separate
document, I do not really care. However, having a reusable definition
including a proper DISPLAY-HINT I think is worth the effort.

/js

-- 
Juergen Schoenwaelder           Jacobs University Bremen gGmbH
Phone: +49 421 200 3587         Campus Ring 1, 28759 Bremen, Germany
Fax:   +49 421 200 3103         <http://www.jacobs-university.de/>

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Wed, 26 Sep 2012 20:17:04 +0200

We can do this. 

Would anybody object to defining this MIB module in the same document as
4133bis? 

Regards,

Dan

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf
Of
> Juergen Schoenwaelder
> Sent: Wednesday, September 26, 2012 2:22 PM
> To: [email-masked]
> Subject: [eman] uuid / entity mib update
> 
> Hi,
> 
is
> more widely applicable, the right thing might be to create a separate
> MIB module, e.g. UUID-TC-MIB, similar to the URI-TC-MIB.
> _______________________________________________
> eman mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/eman

---

From: Ira McDonald <[email-masked]>
Date: Wed, 26 Sep 2012 14:47:28 -0400

Hi Dan and Juergen,

Pedantically, someone might object, but practically the
correct DISPLAY-HINT and description for the UUID TC
will be completely stable (never updated), so it seems
appropriate to just define in the same document w/ the
latest Entity MIB.

Cheers,
- Ira

Ira McDonald (Musician / Software Architect)
Chair - Linux Foundation Open Printing WG
Secretary - IEEE-ISTO Printer Working Group
Co-Chair - IEEE-ISTO PWG IPP WG
Co-Chair - TCG Trusted Mobility Solutions WG
Chair - TCG Embedded Systems Hardcopy SG
IETF Designated Expert - IPP & Printer MIB
Blue Roof Music/High North Inc
http://sites.google.com/site/blueroofmusic
http://sites.google.com/site/highnorthinc
mailto:[email-masked]
Winter  579 Park Place  Saline, MI  48176  734-944-0094
Summer  PO Box 221  Grand Marais, MI 49839  906-494-2434
Temporary Cabin *** 2012 only *** 906-494-2523

---

From: Nevil Brownlee <[email-masked]>
Date: Thu, 27 Sep 2012 10:44:38 +1200

Hi Dan and Juergen:

This seems a good idea to me.

Cheers, Nevil

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand